$font = Hack
$foreground = #ebdbb2
$background = rgba(40, 40, 40, 0.5)
$fg_info = rgba(242, 243, 244, 0.9)

# GENERAL
general {
    hide_cursor = false
    no_fade_in = true
    no_fade_out = true
    hide_cursor = false
    grace = 0
    disable_loading_bar = true
}

background {
    path = ~/.config/wallpaper/forbiddencity.png
    blur_passes = 3
    contrast = 1
    brightness = 1 
    vibrancy = 0.2
    vibrancy_darkness = 0.2
}

# Time
label {
    monitor = 
    text = cmd[update:1000] echo "$(date +"%-H:%M")"
    color = $fg_info
    font_size = 95
    font_family = Hack bold
    position = 0, 300
    halign = center
    valign = center
}

# Date
label {
    monitor =
    text = cmd[update:1000] echo "$(date +"%a %d %B %Y")"
    color = $fg_info
    font_size = 22
    font_family = Hack bold
    position = 0, 200
    halign = center
    valign = center
}

# Battery
label {
    monitor =
    text = cmd[update:1000] echo -e "$(~/.config/hypr/scripts/battery.sh)"
    color = $fg_info
    font_size = 12
    font_family = Hack ExtraBold
    position = 0, 150
    halign = center
    valign = center
}

label {
    monitor =
    text = Attempt counter: $ATTEMPTS
    color = $fg_info
    font_size = 9
    font_family = Hack ExtraBold
    position = 0, 100
    halign = center
    valign = center
}

# INPUT FIELD
input-field {
    monitor =
    size = 250, 60
    outline_thickness = 2
    dots_size = 0.2 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.35 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = true
    font_family = Hack
    font_color = $foreground
    outer_color = rgba(0, 0, 0, 0.5)
    inner_color = $background
    capslock_color = rgba(131, 165, 152, 1)
    check_color = rgba(204, 136, 20, 1)
    fail_color = rgba(251, 73, 52, 1)
    fade_on_empty = false
    rounding = -1
    placeholder_text = <span foreground="##ebdbb2">Input Password...</span>
    fail_text = <span foreground="##fb4934">Wrong password</span>
    hide_input = true
    hide_input_base_color = rgba(255, 255, 255, 0.5)
    position = 0, -200
    halign = center
    valign = center
}
